Skip to main content
GET
Get Leaderboard Ranking

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

time_range
enum<string>
default:all

Time range for the leaderboard: all time, last 7 days, or last 30 days

Available options:
all,
7,
30
min_points
number

Minimum points within time_range, inclusive. Supports decimals and negative values. Must be a finite number. Omit or leave blank for no minimum.

result_count
integer
default:10

Number of results to return. Defaults to 10 for zero, negative or nonnumeric values. Values above 30 are supported.

space_id
string

Community space ID. If the ID does not match a space in your school, returns the school leaderboard.

Response

Leaderboard Data

leaderboard
object